Page MenuHomePhabricator

Outreachy Round 19: Documentation improvements to the ~20 top 100 most viewed MediaWiki Action API pages on-wiki
Open, Needs TriagePublic

Description

Brief summary

The MediaWiki action API is a web service that allows access to some wiki-features like authentication, page operations, and search. It can provide meta information about the wiki and the logged-in user. Several Wikimedia projects make use of this API.

As of now, there are 128 pages on the Action API on MediaWiki.org. Developer-Advocacy did a little research on the state of the docs and documented a few problems and recommendations for next steps. One of the issues we decided to address was inconsistency. For example, some pages had the automated API docs embedded; some didn’t, some pages had code samples, some didn’t, etc.

As a first step, we designed a documentation template and used it to re-write the top 20 viewed pages of the API. But, we realized we could not improve 128 pages all by ourselves, and opened it to new Wikimedia contributors for help :-) The next 60 pages were improved in the last two Outreachy rounds.

The goal of this project is to improve documentation of ~20 top 100 most viewed MediaWiki Action API pages on-wiki using the documentation template.

(OPTIONAL) If there is more time, then the next part of the project could be developing a bot that mass edits sample code from this repository to the API namespace on MediaWiki.org and vice-versa, as explained in https://github.com/wikimedia/mediawiki-api-demos/issues/172.

Skills required

  • Wiki editing, Templates, creating and managing translatable pages.
  • Wikimedia Phabricator tool.
  • Basic Python, PHP and JavaScript programming.

Note: some or all of these skills would be nice to have but not required. Come with a desire to learn and that be all!

Code repository

https://github.com/wikimedia/MediaWiki-Action-API-Code-Samples

Microtasks

Microtask 1: Pick a MediaWiki Action API page to review and improve

Pick an API page to work on and add your Phabricator username next to it in the relevant column

API pageWork in progressDone
API:SiteinfoLinda-Ikechukwu4
API:IwbacklinksSamuel Ndu
API:PagewithpropPriscila Vilemen
API:MergehistoryZaycodes
API:RevisiondeleteTawandaMoyo
API:ExpandtemplatesSupriya (pineappled_sun)
API:ClearHasMsgBarbontempo
API:CompareLucideuclid
API:ContributorsAwahNadege
API:TagSabin10
API:ValidatepasswordEvigian
API:DuplicatefilesMaryey
API:FilerepoinfoFareena Fatima
API:DeletedrevisionsVanesa Perea
API:AlldeletedrevisionsDikshagupta99
API:SetnotificationtimestampLarissa Sales
API:StasheditZaycodes
API:ManagetagsRuba
API:FilerevertVickieCMitchell
API:ChecktokenOla Efimova
API:LinkaccountYamakat
API:FilearchiveLiz Kariuki
API:RsdAwahNadege
Getting started instructions

https://www.mediawiki.org/wiki/Outreachy/Round_19/MediaWiki_documentation_improvements_project_guidelines

Microtask 2
Microtask 3

Note: Any documentation or API-related task you work on qualifies as a valid contribution too.
Please see:

Mentor(s)

@jeropbrenda

Get in touch with mentors

Ask a question in the topic Phab:T232816 API documentation improvements under https://wikimedia.zulipchat.com/#narrow/stream/208145-outreachy19

Resources

Note: Please do not claim this task or set the "Assignee" field as several people are expected to work on it.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

@Sabin10: No, that is not what I wrote. You are very welcome to work on a part of this task. Please re-read again what I wrote. :)

@Sabin10: No, that is not what I wrote. You are very welcome to work on a part of this task. Please re-read again what I wrote. :)

Thank You.

Zaycodes updated the task description. (Show Details)Oct 2 2019, 1:44 PM
Zaycodes added a subscriber: Zaycodes.
jeropbrenda updated the task description. (Show Details)Oct 2 2019, 2:12 PM
TawandaMoyo updated the task description. (Show Details)Oct 2 2019, 9:11 PM
jeropbrenda removed TawandaMoyo as the assignee of this task.Oct 3 2019, 3:32 AM

Multiple contributors are currently working on this task so it can't have an assignee yet

jeropbrenda updated the task description. (Show Details)Oct 3 2019, 3:35 AM
Lucideuclid updated the task description. (Show Details)Oct 3 2019, 4:48 AM

Hello, Jeropbrenda.. I am to do : Expandtemplates, How input my name in task, for to show work in progress ?

This comment was removed by Prisicilavilemen.

Hello, Jeropbrenda.. I am to do : Expandtemplates, How input my name in task, for to show work in progress ?

Hello, Jeropbrenda.. I am to do : Expandtemplates, How input my name in task, for to show work in progress ?

PLEASE DO NOT SET THE "ASSIGNEE" FIELD OF THIS TASK.
This is not a task that only one person can work on, but several people can and should work on this. Thanks.

pineappled_sun added a subscriber: pineappled_sun.EditedOct 3 2019, 8:50 PM

Hi @jeropbrenda, how do I check if the API documentation for the API I am working on is present in one of the main modules? And in case it is not present, what would the next steps be?
Also, can I delete a page in Sandbox? If yes, could you guide me on how to do it?

@Prisicilavilemen @pineappled_sun If you still have these questions, could you please re-post the questions on Zulip? I'd like to answer them from there so that we don't clutter this. Thanks.

Samndu added a subscriber: Samndu.Oct 4 2019, 5:45 AM
Samndu removed a subscriber: Samndu.Oct 4 2019, 5:48 AM
Samndu added a subscriber: Samndu.
Prisicilavilemen removed a subscriber: Prisicilavilemen.
Samndu updated the task description. (Show Details)Oct 4 2019, 2:50 PM
Evigian updated the task description. (Show Details)Oct 6 2019, 8:45 AM
Evigian added a subscriber: Evigian.Oct 6 2019, 8:47 AM
Maryey added a subscriber: Maryey.Oct 6 2019, 2:17 PM
jeropbrenda updated the task description. (Show Details)Oct 7 2019, 1:15 AM
Maryey updated the task description. (Show Details)Oct 7 2019, 1:51 AM
Fareenafatima updated the task description. (Show Details)Oct 7 2019, 4:24 AM
VanesaPerea updated the task description. (Show Details)Oct 7 2019, 9:04 AM
larissa-s-sales added a subscriber: larissa-s-sales.
Dikshagupta99 updated the task description. (Show Details)Oct 7 2019, 4:40 PM
Dikshagupta99 updated the task description. (Show Details)Oct 7 2019, 4:42 PM
Pavithraes updated the task description. (Show Details)Oct 8 2019, 7:54 PM
VickieCMITCHELL updated the task description. (Show Details)
jeropbrenda updated the task description. (Show Details)Oct 11 2019, 5:42 AM

@Dikshagupta99 You may pick another page after your previous one has been reviewed and merged. There are changes that you still need to make in your previous page so let's work with that first :)

59952251 updated the task description. (Show Details)Oct 11 2019, 9:46 AM
Zaycodes updated the task description. (Show Details)Oct 11 2019, 11:35 AM
Pavithraes updated the task description. (Show Details)Oct 11 2019, 4:16 PM
Rubaaw added a subscriber: Rubaaw.Oct 11 2019, 5:26 PM
Rubaaw claimed this task.Oct 11 2019, 5:30 PM
Rubaaw removed Rubaaw as the assignee of this task.
jeropbrenda updated the task description. (Show Details)Oct 11 2019, 7:59 PM
Rubaaw updated the task description. (Show Details)Oct 11 2019, 9:02 PM
Rubaaw updated the task description. (Show Details)
Rubaaw updated the task description. (Show Details)
Yamakat updated the task description. (Show Details)Oct 12 2019, 10:14 PM
Yamakat updated the task description. (Show Details)
Maryey updated the task description. (Show Details)Oct 14 2019, 4:04 AM
59952251 updated the task description. (Show Details)Oct 14 2019, 4:52 PM
jeropbrenda updated the task description. (Show Details)Oct 15 2019, 2:41 PM
jeropbrenda updated the task description. (Show Details)Oct 15 2019, 2:47 PM
Liz_Kariuki updated the task description. (Show Details)Oct 15 2019, 2:54 PM
jeropbrenda updated the task description. (Show Details)Oct 15 2019, 3:20 PM
Zaycodes updated the task description. (Show Details)Oct 18 2019, 6:54 AM
AwahNadege updated the task description. (Show Details)Oct 18 2019, 12:08 PM
AwahNadege updated the task description. (Show Details)Oct 18 2019, 12:12 PM
AwahNadege updated the task description. (Show Details)Oct 18 2019, 12:14 PM
AwahNadege updated the task description. (Show Details)Oct 18 2019, 12:23 PM
AwahNadege updated the task description. (Show Details)Oct 18 2019, 5:11 PM
AwahNadege updated the task description. (Show Details)Oct 19 2019, 1:14 PM
jeropbrenda updated the task description. (Show Details)Oct 19 2019, 8:22 PM
jeropbrenda updated the task description. (Show Details)Oct 21 2019, 7:29 AM
Zaycodes updated the task description. (Show Details)Oct 21 2019, 7:33 AM
Rubaaw updated the task description. (Show Details)Oct 21 2019, 8:55 AM
Rubaaw updated the task description. (Show Details)Oct 21 2019, 11:48 AM
AwahNadege updated the task description. (Show Details)Oct 23 2019, 5:00 AM
Evigian updated the task description. (Show Details)Oct 26 2019, 9:58 PM
Evigian updated the task description. (Show Details)Oct 28 2019, 4:51 PM
Prisicilavilemen updated the task description. (Show Details)
Zaycodes updated the task description. (Show Details)Nov 3 2019, 3:03 PM
Dikshagupta99 updated the task description. (Show Details)Nov 3 2019, 3:09 PM